Debian Bug report logs - #610964
Can't open perl script "/usr/share/doc/vtk-doc/html//doc_header2doxygen.pl"

version graph

Package: vtk-doc; Maintainer for vtk-doc is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for vtk-doc is src:vtk.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Mon, 24 Jan 2011 14:03:02 UTC

Severity: normal

Found in versions vtk/5.4.2-8, vtk/5.8.0-5

Fixed in version vtk/5.8.0-10

Done: Mathieu Malaterre <malat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#610964; Package vtk-doc. (Mon, 24 Jan 2011 14:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to bottoms@debian.org (A. Maitland Bottoms). (Mon, 24 Jan 2011 14:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Can't open perl script "/usr/share/doc/vtk-doc/html//doc_header2doxygen.pl"
Date: Mon, 24 Jan 2011 15:02:17 +0100
Package: vtk-doc
Version: 5.4.2-8
Severity: normal


hi,

  Since vtk 5.4, the vtk-doc package does not include the perl script anymore. This is needed to build documentation of extension of vtk (eg. paraview, gdcm or kwwidgets).

See an old thread:

http://lists.alioth.debian.org/pipermail/pkg-scicomp-devel/2008-December/003406.html

Right now gdcm fails to build the vtk documentation:

[  0%] GDCM: Executing GDCMDoxygenPDF
make[3]: Leaving directory `/tmp/gdcm_release/gdcm-build'
/usr/bin/cmake -E cmake_progress_report /tmp/gdcm_release/gdcm-build/CMakeFiles  1
[100%] Built target GDCMDoxygenPDF
make -f Utilities/doxygen/vtk/CMakeFiles/vtkgdcmDoxygenDoc.dir/build.make Utilities/doxygen/vtk/CMakeFiles/vtkgdcmDoxygenDoc.dir/depend
make[3]: Entering directory `/tmp/gdcm_release/gdcm-build'
cd /tmp/gdcm_release/gdcm-build && /usr/bin/cmake -E cmake_depends "Unix Makefiles" /tmp/gdcm_release/gdcm /tmp/gdcm_release/gdcm/Utilities/doxygen/vtk /tmp/gdcm_release/gdcm-build /tmp/gdcm_release/gdcm-build/Utilities/doxygen/vtk /tmp/gdcm_release/gdcm-build/Utilities/doxygen/vtk/CMakeFiles/vtkgdcmDoxygenDoc.dir/DependInfo.cmake --color=
make[3]: Leaving directory `/tmp/gdcm_release/gdcm-build'
make -f Utilities/doxygen/vtk/CMakeFiles/vtkgdcmDoxygenDoc.dir/build.make Utilities/doxygen/vtk/CMakeFiles/vtkgdcmDoxygenDoc.dir/build
make[3]: Entering directory `/tmp/gdcm_release/gdcm-build'
cd /tmp/gdcm_release/gdcm-build/Utilities/doxygen/vtk && /bin/bash /tmp/gdcm_release/gdcm-build/Utilities/doxygen/vtk/doc_makeall.sh
Convert the VTK headers to the Doxygen format.
Can't open perl script "/usr/share/doc/vtk-doc/html//doc_header2doxygen.pl": No such file or directory
Problem converting VTK headers

Using:

$ apt-cache policy vtk-doc
vtk-doc:
  Installed: 5.4.2-8
  Candidate: 5.4.2-8
  Version table:
     5.6.1-1 0
         -1 http://ftp.fr.debian.org/debian/ experimental/main amd64 Packages
 *** 5.4.2-8 0
        200 http://ftp.fr.debian.org/debian/ squeeze/main amd64 Packages
        100 http://ftp.fr.debian.org/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status


Thanks !

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages vtk-doc depends on:
ii  doc-base                      0.9.5      utilities to manage online documen

vtk-doc recommends no packages.

Versions of packages vtk-doc suggests:
ii  libvtk5-dev                   5.4.2-8    VTK header files for building C++ 
pn  vtk-examples                  <none>     (no description available)

-- no debconf information




Bug Marked as found in versions vtk/5.8.0-5. Request was from Mathieu Malaterre <mathieu.malaterre@gmail.com> to control@bugs.debian.org. (Wed, 07 Dec 2011 15:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, A. Maitland Bottoms <bottoms@debian.org>:
Bug#610964; Package vtk-doc. (Wed, 07 Dec 2011 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Extra info received and forwarded to list. Copy sent to A. Maitland Bottoms <bottoms@debian.org>. (Wed, 07 Dec 2011 16:27:03 GMT) Full text and rfc822 format available.

Message #12 received at 610964@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: 610964@bugs.debian.org
Date: Wed, 7 Dec 2011 17:24:04 +0100
We need another file too:

Build the full-text index.
Can't open perl script "/usr/share/doc/vtk-doc/html//doc_index.pl": No
such file or directory
Problem building full-text index


-- 
Mathieu




Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:55:47 GMT) Full text and rfc822 format available.

Reply sent to Mathieu Malaterre <malat@debian.org>:
You have taken responsibility. (Tue, 08 May 2012 07:06:04 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Tue, 08 May 2012 07:06:04 GMT) Full text and rfc822 format available.

Message #19 received at 610964-close@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 610964-close@bugs.debian.org
Subject: Bug#610964: fixed in vtk 5.8.0-10
Date: Tue, 08 May 2012 07:04:07 +0000
Source: vtk
Source-Version: 5.8.0-10

We believe that the bug you reported is fixed in the latest version of
vtk, which is due to be installed in the Debian FTP archive:

libvtk-java_5.8.0-10_amd64.deb
  to main/v/vtk/libvtk-java_5.8.0-10_amd64.deb
libvtk5-dev_5.8.0-10_amd64.deb
  to main/v/vtk/libvtk5-dev_5.8.0-10_amd64.deb
libvtk5-qt4-dev_5.8.0-10_amd64.deb
  to main/v/vtk/libvtk5-qt4-dev_5.8.0-10_amd64.deb
libvtk5.8-qt4_5.8.0-10_amd64.deb
  to main/v/vtk/libvtk5.8-qt4_5.8.0-10_amd64.deb
libvtk5.8_5.8.0-10_amd64.deb
  to main/v/vtk/libvtk5.8_5.8.0-10_amd64.deb
python-vtk_5.8.0-10_amd64.deb
  to main/v/vtk/python-vtk_5.8.0-10_amd64.deb
tcl-vtk_5.8.0-10_amd64.deb
  to main/v/vtk/tcl-vtk_5.8.0-10_amd64.deb
vtk-doc_5.8.0-10_all.deb
  to main/v/vtk/vtk-doc_5.8.0-10_all.deb
vtk-examples_5.8.0-10_all.deb
  to main/v/vtk/vtk-examples_5.8.0-10_all.deb
vtk_5.8.0-10.debian.tar.gz
  to main/v/vtk/vtk_5.8.0-10.debian.tar.gz
vtk_5.8.0-10.dsc
  to main/v/vtk/vtk_5.8.0-10.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610964@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Malaterre <malat@debian.org> (supplier of updated vtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 07 May 2012 19:21:25 +0200
Source: vtk
Binary: vtk-doc vtk-examples libvtk5.8 libvtk-java libvtk5-dev libvtk5.8-qt4 libvtk5-qt4-dev tcl-vtk python-vtk
Architecture: source amd64 all
Version: 5.8.0-10
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Mathieu Malaterre <malat@debian.org>
Description: 
 libvtk-java - Visualization Toolkit - A high level 3D visualization library - j
 libvtk5-dev - VTK header files for building C++ code
 libvtk5-qt4-dev - Visualization Toolkit - A high level 3D visualization library - Q
 libvtk5.8  - Visualization Toolkit - A high level 3D visualization library - r
 libvtk5.8-qt4 - Visualization Toolkit - A high level 3D visualization library - Q
 python-vtk - Python bindings for VTK
 tcl-vtk    - Tcl bindings for VTK
 vtk-doc    - VTK class reference documentation
 vtk-examples - C++, Tcl and Python example programs/scripts for VTK
Closes: 610964 656115
Changes: 
 vtk (5.8.0-10) unstable; urgency=low
 .
   * Use my @d.o alias, remove DMUA flag
   * Move to Debian Science Team umbrella organisation
   * Fix issue with libtiff5-dev transition
   * Remove old dot hack, and generate svg output
   * Fix vtk-doc package. Closes: #610964
   * Move QT option within qt cmake file. Closes: #656115
Checksums-Sha1: 
 636d8549d6dcbe47bc8910105a1f09782f18814a 3025 vtk_5.8.0-10.dsc
 82511de701629e069f348740e95a36806b504fe7 57494 vtk_5.8.0-10.debian.tar.gz
 31769bd06a764c30b093e152b5018c324f11e9d2 15262818 libvtk5.8_5.8.0-10_amd64.deb
 65b7824f43db5b3d897dedec3ac1722d0f44e16f 4958768 libvtk-java_5.8.0-10_amd64.deb
 f1ab4f098ceba50b8138c9f197c7db76be09c647 2896936 libvtk5-dev_5.8.0-10_amd64.deb
 da8aea3e10033cb2bf368ce7b6e6793a3a424966 484064 libvtk5.8-qt4_5.8.0-10_amd64.deb
 6150acb4ae55b423e0208505859f641ce188dc5e 117074 libvtk5-qt4-dev_5.8.0-10_amd64.deb
 58dea2169ae2a1615ac61fedf9c117bdb576fad0 5324422 tcl-vtk_5.8.0-10_amd64.deb
 e56b19b56dd532f2f3218f95defbbe2e0844f474 7302056 python-vtk_5.8.0-10_amd64.deb
 ffd0d819517a43fd67f046faafe0c7983b0e7414 58596126 vtk-doc_5.8.0-10_all.deb
 b4537de51fb572c3d802f287667385db768eb8c0 588194 vtk-examples_5.8.0-10_all.deb
Checksums-Sha256: 
 2bc650444b6f0c521130ec59299b2fc17b899d570a36e776e5a35ddb19a89af0 3025 vtk_5.8.0-10.dsc
 8a890e37dc4c36c9242658dc00ba82f4694c4ac202e048c90e42d9a28ccb63ef 57494 vtk_5.8.0-10.debian.tar.gz
 370d2476a43c701ce21e0af861cbecf04136abd28299449ff3f3b2ac09f4a11a 15262818 libvtk5.8_5.8.0-10_amd64.deb
 c9e0d1a5925b4167ff62e935c2d5b56fa57a38fe1f8d37bc0fa3213d5d43e0bc 4958768 libvtk-java_5.8.0-10_amd64.deb
 156646004cedf4f8cea640d8e5493cad16adf2bdc6e8c69e3fa7dcae472b248b 2896936 libvtk5-dev_5.8.0-10_amd64.deb
 a107683d7fa02b1f87bbdde0edff66d806ea21bc9be98d88d67bff6482131194 484064 libvtk5.8-qt4_5.8.0-10_amd64.deb
 dfd4447e19b8b89878b5fa7ba3ecb7ef9271c3a7aa1c424fddfed95afa6ab401 117074 libvtk5-qt4-dev_5.8.0-10_amd64.deb
 7638862a0f2ef0022b4a6871015a1b8a513c4cd060a598abc8965d22d4e4a6b0 5324422 tcl-vtk_5.8.0-10_amd64.deb
 0bfea5e30ec17b4ed1794b517eaab113db11378bf20ce0ef2071c30d22c6f0ed 7302056 python-vtk_5.8.0-10_amd64.deb
 547850f76766ed8ee58fc851c9fc18c02a08b5cb0e291b9a9a9ab47f36c24085 58596126 vtk-doc_5.8.0-10_all.deb
 acd02b383b55616cf0ce431bfda58f225dc18a762b7dfa4022737d77dcc5d96c 588194 vtk-examples_5.8.0-10_all.deb
Files: 
 1df76a39d8dba221cab71a8aad5678a9 3025 graphics optional vtk_5.8.0-10.dsc
 f6df33b32c515447bb80d3a295ed849b 57494 graphics optional vtk_5.8.0-10.debian.tar.gz
 743b8d422fe1530422447c55efd4daf3 15262818 libs optional libvtk5.8_5.8.0-10_amd64.deb
 d91eccdf880e33d3368b3c842cd1d6a9 4958768 java optional libvtk-java_5.8.0-10_amd64.deb
 e2ca2012797296bf59279b1dfede198c 2896936 libdevel optional libvtk5-dev_5.8.0-10_amd64.deb
 c6930de81371d2328b0903604e912773 484064 libs optional libvtk5.8-qt4_5.8.0-10_amd64.deb
 d9696e612ae6d62bf70ca57e0bbe2441 117074 libdevel optional libvtk5-qt4-dev_5.8.0-10_amd64.deb
 98b53911476ba9ec1815e80f82eb0f3f 5324422 interpreters optional tcl-vtk_5.8.0-10_amd64.deb
 29ef888829db1195478ad4908b0402d1 7302056 python optional python-vtk_5.8.0-10_amd64.deb
 79bd32646dd5ed1dffe6e1b319ec122a 58596126 doc optional vtk-doc_5.8.0-10_all.deb
 7a0a7b50feea146040760ccace216071 588194 graphics optional vtk-examples_5.8.0-10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPqL+wAAoJEAFx4YKK4JNF5Y0P/0ZbKGMYgEHd1Ml7+2LoVSQs
t2SgM2h+ArgGzCJGFNjrsz7XrpnVSpkRhAcvac67ysCyOHDugbAzQ4GJ3p6Uu1Wy
LsvQUWzWpC8kf5raJW5apoB6krUaDkzhj7y1tVxaiNHWHnZFobUf0WBrScJPSOkM
OJvdYde8r8xGt/FAo+4E8bpDcC7o+bHc3CutJYvwnpLyTisSZYBwcnyddpvR31gQ
G6a0pE1LIksxL2Oi8tEX2A4HSq4CdH0fA4uO2E05061x1PnXae0+FoCrEwuB2czI
tY6Kfyw1KsqTyS4nL73lZH6qmR42+eppcIZff7XK49kf5UV4KeAvcXjlj0pzb1Ow
5kcKf4jn2r7EnrjtNpi5+B1uguVsqwcLiPEMj3efJHYR265ed/2oIqx34vU64XWl
vuDxfUn4ne8wq7mOWjLyg47CN1Wb/EwGSABmYMuu8PnLCi8MsEyNPY69eEQKL5GC
lNfa3E5C8/0CboPby2wXHwyqbYxSc2tthmYbT2eqCjfaJ6cdy4hBGDiNUkq03rrY
J8Mzq+UJYXdz6JyZPwptipMtBC+1D5xpn/xM1KtK8NrgDwrkHJsrA9SOEwcg36gR
LRjQN398f7ZP5PT0ZV0l8X6Q9tmUwhN4lIHtqq3aPpeuKd9VWqY+naf4NPIgP+gq
xayxB2nKSTSE5Puq+YWy
=s25Y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:50:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:36:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.